## class fltk::ReturnButton

### Class Hierarchy

    fltk::Button
       |
       +----fltk::ReturnButton

### Include Files

    #include <fltk/ReturnButton.h>

### Description

The `fltk::ReturnButton` is a subclass of `fltk::Button` that generates a callback when it is pressed or when the user presses the Enter key. A carriage-return symbol is drawn next to the button label.

### Methods

- fltk::ReturnButton
- ~ReturnButton

#### fltk::ReturnButton::ReturnButton(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::ReturnButton` widget using the given position, size, and label string. The default boxtype is `fltk::UP_BOX` .

#### virtual fltk::ReturnButton::~ReturnButton()

Deletes the button.